Introduction

Purpose of this document is to provide users with basic usage and troubleshooting information for the NetLimiter 2 program. Information contained in this document is valid for version 2.0.9 and may be obsolete for newer NetLimiter 2 (NL2) releases.

This documentation file is common for all three NetLimiter 2 versions: Pro*, Lite and Monitor.

Please, visit NetLimiter 2 website for more information about NetLimiter 2.

* Including 64bit NetLimiter 2 version.


Requirements

NetLimiter 2 supports Windows 2000 and newer Windows operating systems (Windows XP 32bit and 64bit versions, Windows 2003). It is not possible to install NL2 on unsupported operating systems like Windows 98, Solaris, DOS, OS/2, MacOS and many others.


Installation

NL2 is provided with automatic installation system. Installation package is one and only executable file, which can be freely downloaded from our website www.netlimiter.com.

NL2 will be functional after a system restart. So, it is highly recommended to restart your computer immediately after the end of the installation.


Uninstallation

NL2 uninstallation as well as installation is fully automatic. If you want to remove NL2 installation from your system, you have to run uninstallation file nl2uninst.exe, which is located in main NL2 installation directory, you have chosen during the installation process ("c:\Program Files\NetLimiter 2" by default).

If you couldn’t finish installation of NL2 due to any unexpected system problem (system crash etc.) and there are any fragments of unfinished installation on the sytem, but no uninstaller file (nl2uninst.exe), then you should download and run installation package again. It can repair or remove damaged NL2 installation from your computer.


Program startup

Program (exactly NetLimiter 2 Client) is started for every user, who is logged to system.


Basic usage

NetLimiter 2 is a handy networking tool with many useful features. It works like TCP/IP personal firewall, network monitor and powerful bandwidth shaper (limiter).


Bandwidth monitoring

Limits’ is well-known feature from previous NetLimiter versions. It allows you to set bandwidth limits for applications, connections or whole computer. With limits you can easily manage your internet connection’s bandwidth and share it among all applications running on your computer.

Limits

(This feature is available only in NetLimiter 2 Pro and NetLimiter 2 Lite)

Limits’ is well-known feature from previous NetLimiter versions. It allows you to set bandwidth limits for applications, connections or whole computer. With limits you can easily manage your internet connection’s bandwidth and share it among all applications running on your computer.

Grants

(This feature is available only in NetLimiter 2 Pro)

Grants’ is a brand-new feature in NetLimiter 2. It could seem similar to ‘limits’, but it works differently. When you set grant for application or connection, then it means that you ‘grant’ specified bandwidth for it. If other application/connections take too much bandwidth, then it is taken from them and is given to application/connection with granted bandwidth.
You must set bandwidth speeds in Network Manager in order to use the grants.

Firewall

(This feature is available only in NetLimiter 2 Pro)

NetLimiter 2 has the personal firewall functionality. You can allow or deny applications to connect to/from any computer network. If there are no rules created for certain application, then you will be alerted with a firewall dialog (see Figure 2). There you will be asked whether to deny or allow that connection request. If you check ‘Create rule’ option, than all following request will be automatically denied or allowed (if you click on ‘Deny’, then all following requests will be denied).

Figure 2


Computer Networks

It is usual that your computer is connected to more than one computer network. NL2 Network Manager automatically detects these networks, which are identified by IP address, IP mask and network adapter (LAN card, dial-up modem, etc.). When new network is found in the system, Network Manager asks user about this network via a dialog window (see Figure 1). You should have to select Zone (see next section), where new network belongs and optionally set download/upload bandwidth speeds.

If you are not sure where new network belongs, then let selected Zone pre-detected by Network Manager.
You don’t need to set bandwidth speeds necessarily, but if you will want to use grants, than you must to set these values.
All values set in Network Manager dialog, can be changed with Network Manager itself. We will describe Network Manager later in this document.

Figure 1

Network zones

Network zones or just Zones are NetLimiter 2 abstraction. It divides network traffic into 3 basic Zones: My Computer, Local Network and Internet.

My Computer is Zone for network traffic on you local computer (usually on loopback IP address 127.0.0.1).
Local Network is Zone for traffic in your local network (if you’re connected to any local network).
Internet is Zone for internet traffic (if you’re connected to the internet).

You will able to add your own Zones in future NL2 releases.
Zones are used to set limits, set grants and apply firewall rules (you can have different firewall rules/limits/grants for any program in each Zone).


NetLimiter 2 Client

NetLimiter 2 Client is a basic user program, which allows you to view and change NL2 settings, monitor current network activity, set limits and grants and maintain firewall rules.
You can run it from installation directory with executable file NLClient.exe.
You can shutdown NL2 client any time you want. All rules, limits, grants will be still active and functional.
Only users with Administrator and Power user privileges can set limits, grants and firewall rules. Other users will be only allowed to monitor traffic.
We are going to describe NetLimiter 2 Client features in following sections.

Main window

Main window is the heart of NetLimiter 2 Client. It contains main NetLimiter 2 like traffic monitor and allows you to set limits, grants and firewall rules.
There are 5 parts – Main menu, Top bar, Connection tree, Bottom bar and Status bar.

NetLimiter 2 Client

Figure 3

Main menu

There are 3 items in the Main menu.

File: Standard File menu - use it to close NL2 Client etc.
View: Allows you to launch NL2 plugins and Options. Click on it with the left mouse button and select a plugin, which you would like to run.
Help: Access to NL2 documentation and other useful information.

Top bar

There are 7 items in the Top bar: Download display box, Upload display box, Limiter Enabled button*, Firewall Enabled button**, Units select box, Speed select box, Zone select box, Quick Selection Toolbar.

Download display box: Displays incoming traffic for all Zones.
Upload display box: Displays outgoing traffic for all Zones.
Limiter Enabled button: Lets you quickly enable/disable Limiter. If you disable it (button becomes greyed), then all limits and grants will stop to work.
Firewall Enabled button: Lets you quickly enable/disable Firewall. If you disable it, then all firewall rules will stop to work.
Zone select box: Allows you to select Zone. All information in the Connection tree like speeds, limits, rules etc. will be then presented for selected Zone.
Units select box: Allows you to select units, which will be used in Connection view.
Quick Selection Toolbar**: It has 4 buttons (1st - runs Stats plugin, 2nd - runs Info plugin, 3rd - runs Rules editor, 4th - disconnects selected connection).

Connection tree

It displays currently established connections sorted by process and application context. You can click on application to view processes and then click on process to view all connections (see Figure 4).

You can set limit, grant and firewall rule for each application, process and connection. When you set any of these values, than you should know that it is done in the context of selected Zone (example: when Internet Zone is selected then all limits will be for Internet traffic, to set limits for another Zone you must select it in the Top bar). You can set limits/grants for incoming/outgoing network traffic and firewall rules for incoming/outgoing connection requests.

NetLimiter 2 Client - Connection tree

Figure 4

How to set limit/grant?

You have to click on limit/grant value and set your own value. Then you MUST check the square checkbutton, that is on the left side of the limit/grant value, to activate it! If the button is not checked, then limit is not active.

Setting Firewall rules?

Click on a firewall button and select from 3 possible options: ‘Deny’, ‘Allow’ and ‘Ask’ . If you select ‘Deny’ all connection requests will be rejected; If you select Allow, all connection requests will be accepted; If you select ‘Ask’ then you will be individually asked how to handle every single connection request.

Bottom bar

There are 7 buttons in the bottom bar, which will allow you to choose items to be displayed in the Connection tree.

Online: If it is selected (its tab is highlighted), then all applications with any network activity will be displayed in the Connection tree.
Offiline: If it is selected , then all applications with no current network activity, but those which had any network activity in the past, will be displayed in the Connection tree.
All: If it is on , then all applications with any network activity (current and past), will be displayed in the Connection tree.
Limits*: If it is selected (its tab is highlighted), then ‘Limit’ values for incoming and outgoing traffic will be displayed in the Connection tree. Use pushpin control to display Limits even if its tab is not selected.
Grants**: If it is on, then ‘Grant’ values for incoming and outgoing traffic will be displayed in the Connection tree. Use pushpin control to display Grants even if its tab is not on selected.
Firewall**: If it is on, then ‘Firewall’ rules for incoming and outgoing connection requests will be displayed in the Connection tree.Use pushpin control to display Firewall rules even if its tab is not selected. (Remember, that you can set advanced firewall rules with the Rule editor.)

Traffic chart display button: Use this button to display Traffic chart plugin, which will be displayed in the body of NL2 Client window.

* These features are available only in NetLimiter 2 Pro and NetLimiter 2 Lite.
** These features are available only in NetLimiter 2 Pro.


Network Manager

As it was said before, Network Manager’s purpose is to manage all networks where your computer is connected in.

The complete list of networks is in first NM page. Each network is identified by an ip address with ip mask and network adapter, which physically connects your computer into the network. Each network is subsumed into one of the Zones and optionally you can set outgoing/incoming (upload/download) bandwidth speeds.

If you need to change properties of any network, then select it and click on button ‘Edit’.

If you would like to manually add new network, then click on button ‘Add new’.


Options

Using the Options dialog you can set several NetLimiter 2 options. To show the dialog, click on the "Options" menu item located at the top of the main menu of the NetLimiter 2 Client. The window is divided into two panes - left and right. The left pane behaves like a tab control. There are two tabs available now, "General" and "Client". The right pane contains options associated with selected tab.

General tab:

Firewall enabled: If checked, the personal firewall is enabled. If unchecked, all connection requests are allowed.
Default firewall action: This options is active only if the personal firewall is enabled. If there is no firewall rule for a given application or connection NetLimiter 2 firewall uses this action.
Limiter enabled: If checked, the limiter is enabled. If not checked, set limits will not be functional.
Ignore UDP: If checked, then limiter will work only with TCP protocol traffic. UDP traffic will be bypassed by limiter internal engine.
Run client on logon for users, who are allowed to control traffic: If checked, NetLimiter 2 Client will start automatically for each user, who has permission to control traffic. (look at the Permissions editor for more info about permissions)
Run client on logon for users, who are allowed to monitor traffic: If checked, NetLimiter 2 Client will start automatically for each user, who has permission to monitor traffic.
Network autoconfiguration: If checked, NetLimiter 2 doesn't need to ask user if new network is found – NetLimiter 2 will assign zone to found network automatically.

Figure 9

Client tab:

Show tray icon: If checked, NetLimiter 2 shows Tray icon in the notification area of your taskbar. If unchecked, no icon is displayed and the Close and Min buttons behavior is standard.
Close to tray: If ‘Tray icon’ is enabled, this option is checked and user pushes the ‘Close button’ of main window, then the NL2 Client is not closed, but minimized to system tray. To restore it, double click on the tray icon. If unchecked, the ‘Close’ button behavior is standard.
Minimize to tray: Similar to preceding option. Minimize button doesn’t minimize the NL2 client to taskbar, but to system tray.
Skin enabled: You can disable NetLimiter 2 window styles using this option.
Check for new version:: If checked, NetLimiter 2 client will automatically run Version Checker on startup.
Language: Select a language, which NetLimiter 2 has to use (English is default).

Connection tree tab:

Show application name: Select from 3 options - Full name (full application file name), Full path (full application path) and Description (description of the application).


Version Checker

This simple tool contacts NetLimiter 2 website and checks, if new NetLimiter 2 version is available for download.
If new version is available, it will allow users to download its installation file and update to new program version.

Version Checker does not send any private or secure data out of users' computer. Its operations are fully anonymous.


Traffic chart

(This plugin is part of NetLimiter 2 Pro only)

Traffic chart is plugin, which displays transferred (received/sent) amount of data for all Zones since your computer has started (see Figure 5) and displays a progress chart
When the value is highlighted then it detects activity on a Zone.

You can click on a name of the zone and the chart will display data for that zone.

You can use select bar in the upper right corner to switch among display units (B-Bytes, kB-kiloBytes, MB-MegaBytes, GB-GigaBytes).

Zone view plugin

Figure 5


Filter editor

(This plugin is part of NetLimiter 2 Pro only.)

Filter editor is a tool (plugin), which will help you to create and edit custom Filters.
Filters allow you to join two or more application into one entity or filter connections to specific IP addresses or IP address ranges. You can set limits, grants and firewall rules and monitor traffic for a custom filter as for a single application.

How to start Filter editor?

Filter editor is a plugin, so you can launch it as an usual NL2 plugin – Click on View menu and select Filter editor option.

How to create new filter?

  • Click on Add new button.
  • Enter any name of the filter. (Note: The name must be unique – there can not be two filters with a same name.)
  • Select one or more applications (identified by its path) and click on Add to add them to the filter. Click on Remove to remove the application from the filter.
  • Enter one or more remote IP address ranges and click on the Add button to add them to the filter. If you want to add only one IP address, then enter this IP address to Start IP or End IP edit box and click on Add button. Click on Remove to remove IP address range from the filter.
  • Click on Save button to save your new filter.
  • New filter will then appear in the Connection tree (it is in the main NetLimiter 2 Client window) under all application nodes.

How to edit filter?

  • Select the filter you want to edit and click on the Edit button.
  • Add or remove any applications or IP address ranges as you did when you were creating the filter.
  • (Note: Filter name cannot be changed. If you need to change filter name, then you must delete this filter and create new filter with a new name.)

Filter editor plugin

Figure 6


Rule editor

(This plugin is part of NetLimiter 2 Pro only)

Rule editor is a tool (plugin), which will help you to create and edit limit, grant and firewall rules.
Rule editor lets you look inside the NetLimiter 2. It allows you to create special rules with conditions. Currently, you can create only Time conditions.

How to start Rule editor?

Rule editor is a Plugin, so you can launch it as a normal Plugin – Click on View at the Main menu and select the ‘Rule editor’ option.

Main window

Main or start up window is named as ‘Rule list’. It displays list of rules created on your machine. ‘Rule list’ is interactive with the Connection view, which means, that only rules for selected application and zone (selected in the Connection view) are displayed. You can use Advanced options... menu to select application or zone directly from the Rule editor.

Advanced options

Click on Advanced options... to display/hide Advanced options menu. Advanced options has 3 items:

Rule type: Use this control, if you want to display only Limit, Grant or Firewall rules separately.
Application: Use this control, if you want to display rules only for one application or filter.
Zone: Use this control, if you want to display rules only for one Zone only.

The Rule list

Rule list is composed of rules for selected node(s). There are several values for each rule:

Application: Displays name of application (or filter) for which is the rule defined.
Rule Type: Type of the rule – It could be one of: Limit, Grant, Firewall.
Zone: Name of the Zone (Internet, My Computer, Local Network) for which is the rule defined.
Direction: Direction of data stream (Incoming or Outgoing).
Value: Value for the rule. Firewall rules can have one of three values: Allow, Deny and Ask. Grant and Limit rules have decimal number as value (Bytes per second).
Conditions: Displays number of conditions for the rule.

Limit modes

Any limit can work in 4 different modes. You must use the Rule editor to switch limit to other then Application mode. The limit modes are described below.

Application: Default mode. The limit is applied for all applications' processes and connections.
Process: The limit is applied to each applications' process.
Connection: The limit is applied to every connection, that application (one or more its processes) created.
IP Address: The limit is applied to groups of connections with the same remote IP address.

How to add new rule?

  • Click on Add new button in main Rule editor window. You will be switched to 'Rule edit' window.
  • Select application (or filter) and Zone for the rule and choose a type of new rule (Limit, Grant, Firewall).
  • Select direction of data stream for the rule.
  • Enter a value for the rule: When creating firewall rule you can choose from three options: Ask, Allow or Deny. When creating Grant or Limit rule enter decimal value of the Grant/Limit in Bytes per second.
  • Click on Save to save the rule. Newly created rule will then appear in the the Rule list.

Rule editor - Edit rule

Figure 7

How to add new condition to a rule?

In this section, we will only give you instructions how to create Time conditions. Besides the Time conditions, you can create IP Range or Port Range conditions, but process of their creation is very simular to Time conditions (just specify an IP address range or TCP/IP port range and save it).

  • In the Rule list, select a rule where you want to add a condition and click on Edit button. You will be switched to ‘Rule edit’ view.
  • In the ‘Conditions’ section click on Add new button. You will be switched to Condition view.
  • Now you must select a condition type. As we mentioned before, you can create only ‘Time’ conditions, so select the Time option.
  • Now select Years, Months and Days of week, when the rule (for which you’re creating this condition) shall be active. If you don’t check any Year, Month or Day of week then the rule will be active for all Years, Months or Days of week.
  • Finally, you can add Time Periods to a new Time condition. Time Periods are time intervals for which the rule will be active. Enter a start time value to the Start edit box (in HH:MM format – for example: 11:25) and enter a end time value to the End time edit box. You can create as many Time Periods as you want. Each Time Period can be removed by clicking on the Remove button.
  • Click Save to save your new time condition. Newly created condition will then appear in the 'Conditions' section.

Rule editor - Edit rule condition

Figure 8


Stats

(This plugin is part of NetLimiter 2 Pro only)

Main purpose of ‘Stats’ plugin is to display statistical information about internet activity of programs running on your computer and the computer itself. It displays transferred amount of data (sent and received) for selected application during selected time period (hours, days, months etc.).

Stats plug can be launched as a normal plugin – Click on View at the Main menu and select the Stats option.
If you would like to view stats for particular application, then simply select it in a Connection view and the stats will be displayed in the Stats window.

Figure 10

There are 3 selection menus in the Stats plugin:

Date: This menu allow you to select from several predefined time periods. If you need to specify your own time period (which is not in then selection menu), then select Other… option.
Zone: Select Zone for which you would like display statistics.
Units: Select units in which you would like to display statistics. (B is byte, kB is kilobyte, MB is Megabyte and GB is Gigabyte).

The stats are not automatically refreshed, so if would like to get latest stats, then click on ‘Refresh’ button.

Stats Exports

This feature will help you to export stats in common data/document format (HTML, XML) so it can be further presented to others or preserved for future use. For example, you can publish the traffic data on your webserver and your customers will be able to view it with standard web browser like IE or Mozilla. Stats can be exported automatically into a given folder in a specified time interval.

How to export stats?

  • Click on Export button located at bottom of the Stats window. Export page will appear.
  • Choose, if you would like to export stats once or periodically.
  • Choose a Zone, for which the data will be exported.
  • Choose a folder, where to export stats. The folder should be empty. You can use the 'Browse' button to locate existing folder or to create new.
  • Click on Export button to save your export settings.

Stats are exported in xml/html file format. To view it open the file „/xml/index.xml“ located in the specified folder. For example, you can use IE or Mozilla or other XSL compliant browser to view it.


Info Plugin

(This plugin is part of NetLimiter 2 Pro only.)

Info Plugin is there to display detailed information about selected node in the Connection tree (Top node, Application, Instance or Connection).

Info plugin can be launched as a normal plugin – Click on View at the Main menu and select the Information option.

If you select Top node, Application or any Instance of the application, you will get overall connection statistics – number of connection sorted by their internet protocols (TCP, UDP, and RAW), number of connections sorted by Zones and number of connections sorted by their types (Listening, Connected Out or Connected In).

Figure 11

When you select any connection (identified by its address), then you will get little bit different kind of information. You will get info about the connections’ address (with reverse DNS info if available), port (with description if known), Zone, type and protocol.
There three special tool, which will help you to get more detailed info about the connection. These tools are WHOIS, Ping and Trace.

WHOIS: This tool downloads information about IP address from WHOIS service. This data contains information about the IP address provider.
You can you use edit box to enter any IP address (or URL – for example www.netlimiter.com), about which you would like to get more detailed info.

Ping : This tool automatically pings (tests response time) of a system with selected IP address. If ping times (in milliseconds) are lower, then your connection with a remote system is better.
You can you use edit box to enter any IP address (or URL – for example www.netlimiter.com), which responses you would like to test.

Info - tracing

Figure 12

Trace: This tool automatically traces route through internet to the remote machine (identified by its IP address). It displays list of internet nodes (servers) with their IP addresses and response times through which flows data from you computer to the remote computer. If the list is short (5 nodes is short, 20 is long), then the connection is (usually) better. (see Figure 12)
You can you use edit box to enter any IP address (or URL – for example www.netlimiter.com), which route you would like to trace.


Remote Administration

(This plugin is part of NetLimiter 2 Pro only)

This plugin will allow you to remotely control any computer (on internet or Lan) with NetLimiter 2 Pro installation and remotely set limits, grants and firewall rules.
Remote administration (RA) plugin can be launched as a normal plugin – Click on View at the Main menu and select the Remote administration option.

RA plugin uses Windows NT authorization system. It means that you don’t need to create any special usernames and passwords to connect to remote NetLimiter 2 installation. If you have working user account on a remote machine, then you should be able to use NetLimiter 2 (on that remote machine).

Figure 13

RA plugin consists from two parts: Login form and Computer list.

Login form

Login form displays settings for a remote machine.

Computer: Name or address of the remote computer.
Username: Username for your account on the remote computer.
Domain: Network domain of the remote computer. (If the remote computer is not in the domain, then leave it blank)
Refresh time : Data will be downloaded from the remote computer in specified time interval in miliseconds (smaller values – more accurate data, but more traffic).Refresh automatically option must be checked, if this value should have any effect.
Refresh automatically: Check this option, if you would like to automatically refresh state of the remote computer.
Connect on startup: Check this option, if you would like NetLimiter 2 Client to connect to a remote computer on every start up.
Detail level: Specify which kind of data you would like to download from remote machine.
Data encryption: Check this option, if you would like encrypt communication with the remote computer.

Buttons:

Save - Save settings.
Connect - Save remote computer settings and connect to this computer.
New - Clear settings.

Computer list

Displays list of remote computers and their status.

How to connect to a remote computer?

  • Create remote connection settings using Login form and save it.
  • In Computer list select a computer or more computers (check a checkbutton before every computer name), where you would like to connect.
  • Click on Connect button in the Computer list.
  • Enter password(s) for the remote computer(s).
  • If you are connected, that the remote computer will appear in the connection view.
  • If connection attempt has failed, then you can click on Info button to view an error message.


Permissions editor

(This plugin is part of NetLimiter 2 Pro only)

Permissions editor will let you to set NetLimiter access rights for specified users or user groups, which exist on your computer.
Permissions editor can be launched as a normal plugin – Click on View at the Main menu and select the Permissions editor option.

You can set (allow or deny) two types of permissions:

Monitor: Users (or User groups) with this type of permissions allowed can monitor traffic, view stats etc. but they can’t set limits, grants or firewall rules. If users don’t have this permission, then they can’t even start NetLimiter 2 Client.
Control: Users (or User groups) with this type of permissions allowed can set limits, grants or firewall rules.